Summary: Split a multi-routine Fortran file into individual files.
URL: http://sunsite.doc.ic.ac.uk/computing/systems/unix/bsd-sources/usr.bin/fsplit
Name: fsplit
Version: 5.5
Release: 2
License: BSD
Group: Development/Tools
Source0: fsplit.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Fsplit takes as input either a file or standard input containing Fortran source
code.  It attempts to split the input into separate routine files of the form
name.f, where name is the name of the program unit (e.g.  function, subroutine,
block data or program).

%prep
%setup -q -n %{name}

%build
make
make clean

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_bindir}
install -d $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 755 -s fsplit $RPM_BUILD_ROOT/%{_bindir}
install -m 644 fsplit.1 $RPM_BUILD_ROOT/%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/fsplit
%{_mandir}/man1/fsplit.1*

%changelog

* Thu May 13 2004 Jan Iven <jan.iven@cern.ch>
- small change to cope with compressed manpage, move to macros for pathes

* Mon Jan 24 2000 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
- Built fsplit package

